complexType "Stub"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 5 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | (floatingRate[1..2] | stubRate | stubAmount), stubStartDate?, stubEndDate?
</...>

Content Model Elements (5):

  floatingRate (defined in StubValue complexType), stubAmount, stubEndDate, | stubRate, stubStartDate

All Direct / Indirect Based Elements (3):

  finalStub (in stubCalculationPeriod), finalStub (in stubCalculationPeriod), | initialStub (in stubCalculationPeriod)

Known Usage Locations

- As direct type of elements (3):

  finalStub (in stubCalculationPeriod), finalStub (in stubCalculationPeriod), | initialStub (in stubCalculationPeriod)

Annotation
A type defining how a stub calculation period amount is calculated and the start and end date of the stub. A single floating rate tenor different to that used for the regular part of the calculation periods schedule may be specified, or two floating rate tenors many be specified. If two floating rate tenors are specified then Linear Interpolation (in accordance with the 2000 ISDA Definitions, Section 8.3 Interpolation) is assumed to apply. Alternatively, an actual known stub rate or stub amount may be specified.
Type Definition Detail

Type Derivation Tree StubValue (extension) Stub

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="Stub"> <xsd:complexContent> <xsd:extension base="StubValue"> <xsd:sequence> <xsd:element minOccurs="0" name="stubStartDate" type="AdjustableOrRelativeDate"/> <xsd:element minOccurs="0" name="stubEndDate" type="AdjustableOrRelativeDate"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/5)
stubEndDate

  Type: | AdjustableOrRelativeDate, complex content

  End date of stub period. This was created to support use of the InterestRateStream within the Equity Derivative sphere, and this element is not expected to be produced in the representation of Interest Rate products.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="stubEndDate" type="AdjustableOrRelativeDate"/>

stubStartDate

  Type: | AdjustableOrRelativeDate, complex content

  Start date of stub period. This was created to support use of the InterestRateStream within the Equity Derivative sphere, and this element is not expected to be produced in the representation of Interest Rate products.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="stubStartDate" type="AdjustableOrRelativeDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.